Bug 7852 - Hourly loan fines are not working
Summary: Hourly loan fines are not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high major (vote)
Assignee: Kyle M Hall
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7849
  Show dependency treegraph
 
Reported: 2012-03-30 00:35 UTC by Elliott Davis
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add private function to calculate chargeable units and reconfigure Koha/Calendar.pm to use this function. (5.66 KB, patch)
2012-03-30 00:58 UTC, Elliott Davis
Details | Diff | Splinter Review
Fix fines for large durations - from Colin (4.84 KB, patch)
2012-04-02 16:13 UTC, Elliott Davis
Details | Diff | Splinter Review
Rebased fines to master (4.92 KB, patch)
2012-04-02 16:24 UTC, Elliott Davis
Details | Diff | Splinter Review
[Signed-Off] Use hour or day deltas to calculate overdue durations (5.04 KB, patch)
2012-04-02 17:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Use hour or day deltas to calculate overdue durations (6.04 KB, patch)
2012-04-03 15:02 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Elliott Davis 2012-03-30 00:35:09 UTC
When The fines cron runs there are no fines assessed for hourly items.
Comment 1 Elliott Davis 2012-03-30 00:58:22 UTC Comment hidden (obsolete)
Comment 2 Elliott Davis 2012-04-02 16:13:05 UTC Comment hidden (obsolete)
Comment 3 Elliott Davis 2012-04-02 16:24:52 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2012-04-02 17:03:09 UTC Comment hidden (obsolete)
Comment 5 Ian Walls 2012-04-03 15:02:31 UTC
Created attachment 8816 [details] [review]
[PASSED QA] Use hour or day deltas to calculate overdue durations

If durations are calculated by subtraction they will use units
larger than those we care about and these are not convertable
to the smaller units we are attempting to enumerate
Use the appropriate delta methods to calculate theee fines

Adds a separate hours_between method to calendar
This should strictly be checking opening hours (of which
closed days are a special case) of the relevant branch
These need adding to branches

http://bugs.koha-community.org/show_bug.cgi?id=7852
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Ian Walls <koha.sekjal@gmail.com>

QA comment: renamed "days_minus_grace" variable to "units_minus_grace"
Also added POD to _get_chargeable_units
Comment 6 Jared Camins-Esakov 2012-12-31 00:49:52 UTC
There have been no further reports of problems so I am marking this bug resolved.